package com.friday.custody.quartz;

import com.friday.custody.service.logicService.LogicInternalService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.quartz.QuartzJobBean;

@Slf4j
@DisallowConcurrentExecution
public class PullRemoteDataFirstQueueJob extends QuartzJobBean {

    @Value("${custody.quartz.PullRemoteDataFirstQueueJob.switch}")
    private Boolean PullRemoteDataFirstQueueJobSwitch;

    @Autowired
    private LogicInternalService logicInternalService;
    @Override
    protected void executeInternal(JobExecutionContext context) {
        if (!PullRemoteDataFirstQueueJobSwitch) {
            log.warn("定时拉取数据开关:未开启!");
            return;
        }
        logicInternalService.pullRemoteDataFirstQueueJob();
    }

}